@echo off
SET NAME=Hermes Launcher Classic
TITLE %NAME%
set mainfolder=%CD%
set gameversion=1.14.0.40618
for %%I in (..) do set gamefolder=%%~fdI
set /a "delay=3"
if exist "setup_complete" (set /a "delay=1")
mode con: cols=40 lines=30
:begin
cls
echo ########################################
echo #           Hermes Launcher            #
echo #  For WoW Classic 1.14 (40618)        #
echo #                                      #
echo #  Authors:                            #
echo #          Brotalnia (Hermes Proxy)    #
echo #          Arctium Team (Launcher)     #
echo ########################################
ping -n %delay% 127.0.0.1>nul
echo.
echo    Checking Game...
ping -n %delay% 127.0.0.1>nul
echo.
rem echo    Game folder is %gamefolder%
if NOT exist "%gamefolder%\World of Warcraft Launcher.exe" (
echo    Game not found!
ping -n 2 127.0.0.1>nul
echo.
echo    Can't continue...
pause
exit
)
if exist "%gamefolder%\World of Warcraft Launcher.exe" (
echo    Game found!
ping -n %delay% 127.0.0.1>nul
)
echo.
echo    Checking Version...
ping -n %delay% 127.0.0.1>nul
set "filepath=%gamefolder%\_classic_era_\WowClassic.exe"
set "filepath=%filepath:\=\\%"
set "npver="&for /F "tokens=2delims==" %%a in ('wmic datafile where "Name='%filepath%'" get version /format:list') do set "npver=%%a"
if not %npver%==%gameversion% (
echo.
echo    Game Version: NOT OK!
echo.
ping -n 2 127.0.0.1>nul
echo    Have: %npver%
ping -n 2 127.0.0.1>nul
echo    Need: %gameversion%
ping -n 2 127.0.0.1>nul
echo.
echo    Can't continue...
pause
exit
)
if %npver%==%gameversion% (
echo.
echo    Game Version: OK!
echo    Have: %npver%
ping -n %delay% 127.0.0.1>nul
)
echo.
echo    Checking Config...
cd "%gamefolder%"
ping -n %delay% 127.0.0.1>nul
findstr /m "127.0.0.1" "_classic_era_\WTF\Config.wtf">nul
if %errorlevel%==0 (
echo.
echo    Set Portal 127.0.0.1: OK!
ping -n %delay% 127.0.0.1>nul
)
if not %errorlevel%==0 (
echo.
echo    Set Portal 127.0.0.1: NOT OK!
echo.
echo    Edit WoW/_classic_era/WTF/Config.wtf
echo       SET portal "127.0.0.1"
echo.
SET /P "AREYOUSURE"="Continue (Y/[N])?"
IF /I "%AREYOUSURE%" NEQ "Y" exit
)
cd "%mainfolder%"
tasklist /FI "IMAGENAME eq HermesProxy.exe" 2>NUL | find /I /N "HermesProxy.exe">NUL
if "%ERRORLEVEL%"=="0" (
echo.
echo    Hermes Proxy already running!
ping -n %delay% 127.0.0.1>nul
goto skip_proxy
)
FOR /F "TOKENS=2" %%A IN ('WHERE /T "%mainfolder%\hermes_proxy:HermesProxy.exe"') do (
echo.
echo    Proxy Built: %%A
ping -n 2 127.0.0.1>nul
)
echo.
echo    Starting Hermes Proxy...
ping -n %delay% 127.0.0.1>nul
cd "hermes_proxy"
start "" "HermesProxy.exe"
ping -n %delay% 127.0.0.1>nul
:skip_proxy
echo.
echo    Starting World of Warcraft...
ping -n %delay% 127.0.0.1>nul
cd "%mainfolder%"
if not exist "setup_complete" (echo music > "%mainfolder%\setup_complete")
cd arctium_launcher
start "" "Arctium WoW Launcher.exe" --path="%gamefolder%\_classic_era_" --version=ClassicEra